#
# spec file for package freeradius (Version 1.1.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel diffutils e2fsprogs e2fsprogs-devel ed expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openslp openssl openssl-devel pam pam-devel pam-modules patch pcre pcre-devel perl permissions popt post-build-checks postgresql-devel postgresql-libs procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed sqlite strace sysvinit tar tcpd texinfo timezone unixODBC unixODBC-devel unzip util-linux vim zlib zlib-devel


Name:           freeradius
BuildRequires:  apache2-devel db-devel krb5-devel libapr-util1-devel mysql-devel openldap2 openldap2-devel pam-devel pcre-devel postgresql-devel python-devel unixODBC-devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Networking/Radius/Servers
Provides:       radiusd
Conflicts:      radiusd-livingston radiusd-cistron icradius
Version:        1.1.3
Release:        30
Url:            http://www.freeradius.org/
Summary:        Very Highly Configurable Radius Server
Source0:        %{name}-%{version}.tar.bz2
Source1:        rcradiusd
Source2:        README.SuSE
Source3:        radqkstart.pdf
Source4:        radadmin.pdf
Source5:        admin-httpd.conf
Patch:          edir.patch
Patch1:         pie.patch
Patch2:         lib64.patch
Patch3:         ltdl.patch
Patch4:         dialup_admin.patch
Patch5:         radiusd-pamd.diff
Patch6:         freeradius-CVE-2007-2028.patch
Patch7:         freeradius-CVE-2008-4474.patch
%if %suse_version > 800
PreReq:         /usr/sbin/useradd /usr/sbin/groupadd
PreReq:         %insserv_prereq %fillup_prereq
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define apxs2 apxs2-prefork
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)

%description
The FreeRADIUS server has a number of features found in other servers
and additional features not found in any other server. The server's
features are:

* Support for RFC and VSA attributes

* Additional server configuration attributes

* Selection of a particular configuration

* Authentication methods

* Accounting methods



Authors:
--------
    Miquel van Smoorenburg <miquels@cistron.nl>
    Alan DeKok <aland@ox.org>
    Mike Machado <mike@innercite.com>
    Alan Curry
    various other people

%debug_package
%package dialupadmin
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Networking/Radius/Servers
Summary:        Web management for FreeRADIUS
Requires:       http_daemon mod_php_any php
Requires:       php-ldap php-mysql perl-DateManip
Requires:       php-pgsql php-session

%description dialupadmin
Dialup Admin supports users either in SQL (MySQL or PostgreSQL are
supported) or in LDAP. Apart from the web pages, it also includes a
number of scripts to make the administrator's life a lot easier.



Authors:
--------
    Kostas Kalevras <kkalev at noc.ntua.gr>
    Basilis Pappas <vpappas at noc.ntua.gr>
    Panagiotis Christias <christia at noc.ntua.gr>
    Thanasis Duitsis <aduitsis at noc.ntua.gr>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        FreeRADIUS Development Files (static libs)

%description devel
These are the static libraries for the FreeRADIUS package.



Authors:
--------
    Miquel van Smoorenburg <miquels@cistron.nl>
    Alan DeKok <aland@ox.org>
    Mike Machado <mike@innercite.com>
    Alan Curry
    various other people

%prep
%setup -q
%patch
%if %suse_version > 930
%patch1
%endif
%ifarch x86_64 s390x
#%patch2
%endif
%patch3
%patch4
%patch5
%patch6
%patch7
rm -rf `find . -name CVS`
mkdir novell
cp -f %{SOURCE3} %{SOURCE4} novell/

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DLDAP_DEPRECATED"
%ifarch x86_64 ppc ppc64 s390 s390x
export CFLAGS="$CFLAGS -fPIC"
%endif
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
%if %suse_version < 920
ln -sf %{_libdir}/libmysqlclient_r.so.12 %{_libdir}/libmysqlclient_r.so
ln -sf %{_libdir}/libmysqlclient_r.so.12 %{_libdir}/mysql/libmysqlclient_r.so
%endif
./configure \
		--prefix=%{_prefix} \
                --sysconfdir=%{_sysconfdir} \
		--infodir=%{_infodir} \
		--mandir=%{_mandir} \
		--localstatedir=/var \
		--libdir=/usr/lib/freeradius \
		--with-threads \
		--with-snmp \
		--with-large-files \
		--with-udpfromto \
		--disable-ltdl-install \
		--with-gnu-ld \
%if %suse_version <= 920
		--enable-heimdal-krb5 \
		--with-rlm-krb5-include-dir=/usr/include/heimdal/ \
%endif
		--with-rlm-krb5-lib-dir=%{_libdir} \
		--enable-strict-dependencies \
		--with-edir
# no parallel build possible
make

%install
mkdir -p $RPM_BUILD_ROOT/var/lib/radiusd
make install R=$RPM_BUILD_ROOT INSTALLSTRIP=
# modify default configuration
RADDB=$RPM_BUILD_ROOT%{_sysconfdir}/raddb
perl -i -pe 's/^#user =.*$/user = radiusd/'   $RADDB/radiusd.conf
perl -i -pe 's/^#group =.*$/group = radiusd/' $RADDB/radiusd.conf
ldconfig -n $RPM_BUILD_ROOT/usr/lib/freeradius
# logs
touch $RPM_BUILD_ROOT/var/log/radius/radutmp
# SuSE
install -d     $RPM_BUILD_ROOT/etc/pam.d
install -d     $RPM_BUILD_ROOT/etc/logrotate.d
%if %suse_version > 920
install -m 644 suse/radiusd-pam $RPM_BUILD_ROOT/etc/pam.d/radiusd
%else
install -m 644 suse/radiusd-pam-old $RPM_BUILD_ROOT/etc/pam.d/radiusd
%endif
install -m 644 suse/radiusd-logrotate $RPM_BUILD_ROOT/etc/logrotate.d/radiusd
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install    -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/radiusd
ln -sf ../../etc/init.d/radiusd $RPM_BUILD_ROOT/usr/sbin/rcradiusd
mv -v doc/README doc/README.doc
# install dialup_admin
mkdir -p $RPM_BUILD_ROOT%{_datadir}/dialup_admin
cp -r dialup_admin/* $RPM_BUILD_ROOT%{_datadir}/dialup_admin
# apache2 config
install -d -m 755 $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d/radius.conf
# remove unneeded stuff
rm -rf doc/00-OLD
rm -f $RPM_BUILD_ROOT/etc/raddb/experimental.conf $RPM_BUILD_ROOT/usr/sbin/radwatch $RPM_BUILD_ROOT/usr/sbin/rc.radiusd
rm -rf $RPM_BUILD_ROOT/usr/share/doc/freeradius*
rm -rf $RPM_BUILD_ROOT/usr/lib/freeradius/*.la

%pre
/usr/sbin/groupadd -r radiusd 2> /dev/null || :
/usr/sbin/useradd -r -g radiusd -s /bin/false -c "Radius daemon" -d \
                  /var/lib/radiusd radiusd 2> /dev/null || :

%post
%{fillup_and_insserv -s radiusd START_RADIUSD }
%if %suse_version > 820

%preun
%stop_on_removal radiusd
%endif

%postun
%if %suse_version > 820
%restart_on_update radiusd
%endif
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# doc
%doc $RPM_SOURCE_DIR/README.SuSE
%doc doc/* LICENSE COPYRIGHT CREDITS README
%doc scripts/create-users.pl scripts/CA.* scripts/certs.sh 
%doc scripts/users2mysql.pl scripts/xpextensions
%doc scripts/cryptpasswd scripts/exec-program-wait scripts/radiusd2ldif.pl
%doc novell/
# SuSE
%config /etc/init.d/radiusd
%config /etc/pam.d/radiusd
%config /etc/logrotate.d/radiusd
/usr/sbin/rcradiusd
%dir %attr(755,radiusd,radiusd) /var/lib/radiusd
# configs
%dir /etc/raddb
%defattr(-,root,radiusd)
%config /etc/raddb/dictionary
%config(noreplace) /etc/raddb/acct_users
%config(noreplace) /etc/raddb/attrs
%attr(640,-,radiusd) %ghost %config(noreplace) /etc/raddb/clients
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/clients.conf
%config(noreplace) /etc/raddb/hints
%config(noreplace) /etc/raddb/huntgroups
%config(noreplace) /etc/raddb/ldap.attrmap
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/mssql.conf
%ghost %config(noreplace) /etc/raddb/naslist
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/naspasswd
%attr(640,-,radiusd) %ghost %config(noreplace) /etc/raddb/oraclesql.conf
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/postgresql.conf
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/preproxy_users
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/proxy.conf
%config(noreplace) /etc/raddb/radiusd.conf
%ghost %config(noreplace) /etc/raddb/realms
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/snmp.conf
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/sql.conf
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/sqlippool.conf
%attr(640,-,radiusd) %config(noreplace) /etc/raddb/users
%config(noreplace) /etc/raddb/otp.conf
%attr(640,-,radiusd) /etc/raddb/otppasswd.sample
%defattr(640,-,radiusd,750)
%config(noreplace) /etc/raddb/certs/
%config(noreplace) /etc/raddb/eap.conf
/etc/raddb/example.pl
%attr(700,radiusd,radiusd) %dir /var/run/radiusd/
# binaries
%defattr(-,root,root)
/usr/bin/*
/usr/sbin/check-radiusd-config
/usr/sbin/checkrad
/usr/sbin/radiusd
# shared libs
%attr(755,root,root) %dir /usr/lib/freeradius
#%attr(755,root,root) /usr/lib/freeradius/*.so*
/usr/lib/freeradius/libeap*.so
/usr/lib/freeradius/libradius*.so
/usr/lib/freeradius/rlm_acct_unique*.so
/usr/lib/freeradius/rlm_always*.so
/usr/lib/freeradius/rlm_attr_filter*.so
/usr/lib/freeradius/rlm_attr_rewrite*.so
/usr/lib/freeradius/rlm_chap*.so
/usr/lib/freeradius/rlm_checkval*.so
/usr/lib/freeradius/rlm_counter*.so
/usr/lib/freeradius/rlm_dbm*.so
/usr/lib/freeradius/rlm_detail*.so
/usr/lib/freeradius/rlm_digest*.so
/usr/lib/freeradius/rlm_eap-*.so
/usr/lib/freeradius/rlm_eap.so
/usr/lib/freeradius/rlm_eap_gtc*.so
/usr/lib/freeradius/rlm_eap_leap*.so
/usr/lib/freeradius/rlm_eap_md5*.so
/usr/lib/freeradius/rlm_eap_mschapv2*.so
/usr/lib/freeradius/rlm_eap_peap*.so
/usr/lib/freeradius/rlm_eap_sim*.so
/usr/lib/freeradius/rlm_eap_tls*.so
/usr/lib/freeradius/rlm_eap_ttls*.so
/usr/lib/freeradius/rlm_exec*.so
/usr/lib/freeradius/rlm_expr*.so
/usr/lib/freeradius/rlm_fastusers*.so
/usr/lib/freeradius/rlm_files*.so
/usr/lib/freeradius/rlm_ippool*.so
/usr/lib/freeradius/rlm_krb5*.so
/usr/lib/freeradius/rlm_ldap*.so
/usr/lib/freeradius/rlm_mschap*.so
/usr/lib/freeradius/rlm_ns_mta_md5*.so
/usr/lib/freeradius/rlm_pam*.so
/usr/lib/freeradius/rlm_pap*.so
/usr/lib/freeradius/rlm_passwd*.so
/usr/lib/freeradius/rlm_perl*.so
/usr/lib/freeradius/rlm_preprocess*.so
/usr/lib/freeradius/rlm_radutmp*.so
/usr/lib/freeradius/rlm_realm*.so
/usr/lib/freeradius/rlm_sql-*.so
/usr/lib/freeradius/rlm_sql.so
/usr/lib/freeradius/rlm_sqlcounter*.so
/usr/lib/freeradius/rlm_sql_log*.so
/usr/lib/freeradius/rlm_sql_mysql*.so
/usr/lib/freeradius/rlm_sql_postgresql*.so
/usr/lib/freeradius/rlm_sql_unixodbc*.so
/usr/lib/freeradius/rlm_unix*.so
/usr/lib/freeradius/rlm_otp*.so
# man-pages
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
# dictionaries
%attr(755,root,root) %dir /usr/share/freeradius
/usr/share/freeradius/*
# logs
%attr(700,radiusd,radiusd) %dir /var/log/radius/
%attr(700,radiusd,radiusd) %dir /var/log/radius/radacct/
%attr(644,radiusd,radiusd) /var/log/radius/radutmp

%files dialupadmin
%defattr(-,root,root)
%dir %{_datadir}/dialup_admin/
%{_datadir}/dialup_admin/bin/
%{_datadir}/dialup_admin/doc/
%{_datadir}/dialup_admin/htdocs/
%{_datadir}/dialup_admin/html/
%{_datadir}/dialup_admin/lib/
%{_datadir}/dialup_admin/sql/
%dir %{_datadir}/dialup_admin/conf/
%config(noreplace) %{_datadir}/dialup_admin/conf/*
%config(noreplace) %{apache2_sysconfdir}/conf.d/radius.conf
%{_datadir}/dialup_admin/Changelog
%{_datadir}/dialup_admin/README

%files devel
%defattr(-,root,root)
/usr/lib/freeradius/*.a
#%attr(644,root,root) /usr/lib/freeradius/*.la

%changelog
* Thu Oct 09 2008 - prusnak@suse.cz
- fixed CVE-2008-4474 [bnc#433762]
* Thu May 03 2007 - pth@suse.de
- Fix vulnerability in the EAP-TTLS module (#264303, CVE-2007-2028)
* Mon Sep 04 2006 - kukuk@suse.de
- Make sure that pam_nologin.so will always be executed.
* Wed Aug 23 2006 - stark@suse.de
- update to version 1.1.3
  * autoconf updates
  * More dictionary updates
  * Security and portability fixes to rlm_otp
  * Miscellaneous bug fixes
* Tue Jun 06 2006 - stark@suse.de
- update to version 1.1.2
  * Allow tagged VSA's for Juniper.
  * Allow Ascend "abinary" format to be specified as octets,
  (e.g. Ascend-Data-Filter = 0x010203...)
  * Added "cipher_list" configuration to the EAP-TLS module.
  See "eap.conf" and "man 1 cipher" for details.
  * Added "check_cert_issuer" configuration to the EAP-TLS module.
  See "eap.conf" for details.
  * Added "suppress" configuration entry to rlm_detail,
  to suppress certain attributes (e.g. User-Password).
  * Write SSL errors to log file, rather than stderr.
  * Allow a core dump on uid change on Linux
  * Bugfixes
* Wed May 24 2006 - schwab@suse.de
- Don't strip binaries.
* Tue Mar 28 2006 - stark@suse.de
- fixed an error on x86_64 machines when reading dictionaries
  (#161503)
- make "use_tunneled_reply" work properly for PEAP
* Mon Mar 27 2006 - ro@suse.de
- also use fPIC on s390*
* Thu Mar 23 2006 - stark@suse.de
- fixed validation issue with the EAP-MSCHAPv2 module (#160249)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - stark@suse.de
- fixed directory permissions (#141153)
* Thu Jan 19 2006 - ro@suse.de
- changed php requires to generic ones (for php5)
* Sat Jan 14 2006 - stark@suse.de
- use --with-udpfromto useful for systems with multiple addresses
* Fri Jan 13 2006 - stark@suse.de
- update to version 1.1.0
* Wed Jan 11 2006 - stark@suse.de
- adding stack-protector to CFLAGS
- don't package *.la files for now (#141207)
* Wed Dec 21 2005 - stark@suse.de
- fixed realloc() in rlm_pam
* Tue Nov 15 2005 - stark@suse.de
- moved dialup_admin to subpackage and integrate it into
  Apache 2 configuration
* Mon Sep 26 2005 - ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Fri Sep 23 2005 - stark@suse.de
- update to version 1.0.5
- updated eDirectory integration documentation
* Fri Sep 23 2005 - ro@suse.de
- fix build-dir references in .la files
* Tue Aug 30 2005 - stark@suse.de
- fixed some issues from security audit (#104195)
  (is already upstream for 1.0.5 release)
* Mon Aug 15 2005 - stark@suse.de
- fix mysql creation script (#104752)
* Sat Jun 18 2005 - stark@suse.de
- update to version 1.0.4
* Sun Jun 05 2005 - stark@suse.de
- update to version 1.0.3
- link radiusd with -pie
* Mon Apr 11 2005 - stark@suse.de
- start daemon correctly (#75979)
- fixed packaging on x86-64 (#75979)
* Wed Mar 02 2005 - stark@suse.de
- com_err.h patch not needed anymore
- modified spec-file to work with older distributions
* Fri Feb 18 2005 - stark@suse.de
- enabled eDirectory support and added documentation
* Thu Feb 17 2005 - stark@suse.de
- update to 1.0.2
* Sat Nov 27 2004 - stark@suse.de
- fixed installation of radeapclient (#48549)
* Sat Nov 20 2004 - stark@suse.de
- don't use heimdal for distributions newer than 9.2
* Mon Nov 15 2004 - kukuk@suse.de
- Use common-* PAM configuration
* Sat Oct 23 2004 - stark@suse.de
- update to version 1.0.1
- moved *.la files to devel package
* Sat Aug 28 2004 - stark@suse.de
- modify logrotate config (#44436)
* Wed Aug 18 2004 - sndirsch@suse.de
- fixed syntax error (Typo?) in init script
* Fri Aug 13 2004 - stark@suse.de
- added some sample scripts to documentation
* Tue Aug 10 2004 - stark@suse.de
- update to 1.0.0
* Thu Jun 24 2004 - ro@suse.de
- update to 1.0.0pre3 (version set as 0.9.9)
* Thu Feb 05 2004 - stark@suse.de
- disabled rlm_sql_iodbc and enabled rlm_sql_unixodb
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 - adrian@suse.de
- add %%defattr
* Fri Nov 28 2003 - stark@suse.de
- security update to 0.9.3
  * Fix a remote DoS and possible exploit due to mis-handling
  of tagged attributes, and Tunnel-Password attribute.
* Thu Oct 16 2003 - stark@suse.de
- update to 0.9.2
  (see /usr/share/doc/packages/freeradius/ChangeLog)
* Fri Aug 01 2003 - ro@suse.de
- fix include path for com_err.h
* Thu Jul 31 2003 - stark@suse.de
- use stop/restart macros
* Wed Jul 23 2003 - stark@suse.de
- use special user for running radiusd
- modify default configuration to work without changes
  (Auth-Type = Local)
- added README.SuSE explaining about radiusd user
* Mon Jul 21 2003 - stark@suse.de
- update to 0.9.0
- build against libiodbc to enable iodbc module
* Wed Jun 04 2003 - schwab@suse.de
- Add db-devel to neededforbuild.
- Don't use system libtool.
- Fix use of sort.
- Avoid running autoconf.
* Wed Apr 16 2003 - ro@suse.de
- fixed neededforbuild
* Mon Mar 03 2003 - kukuk@suse.de
- removed %%ghost stuff from filelist
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Thu Dec 12 2002 - stark@suse.de
- update to 0.8.1
  * minor bugfixes
* Mon Dec 02 2002 - stark@suse.de
- removed radwatch from package
* Tue Nov 19 2002 - stark@suse.de
- update to 0.8
  * Support for Status-Server packets
  * Fixed memory leak when proxying
  * Round-robin load balancing when proxying
  * Many bug fixes
  * (/usr/share/doc/packages/ChangeLog)
- moved modules to /usr/lib/freeradius
* Mon Aug 19 2002 - ro@suse.de
- don't overwrite README's with each other
* Fri Aug 16 2002 - stark@suse.de
- added PreReq (Bug #17838)
* Thu Jun 20 2002 - ro@suse.de
- hack ltconfig for ppc64
* Mon Apr 08 2002 - stark@suse.de
- fixed packaging on 64bit platforms
- added logrotate config
- added some sample scripts to doc-dir
* Fri Mar 22 2002 - stark@suse.de
- update to 0.5
  * MS-CHAP and MS-CHAPv2 MPPE support,
  * EAP/MD5 and experimental EAP/TLS,
  * Experimental PHP web administration interface,
  * Fixes for *BSD,
  * Configurable database queries, executed per packet
  (e.g. %%{ldap:ldap:///dc=company,dc=com?uid?sub?uid=%%u}),
  * Fix logic bug which would cause occasional server crashes,
  * Server-side quenching of DoS attacks,
  * Experimental Python module,
  * Aptis, Quintum, and Foundry dictionaries,
  * Limited support for IPv6.
* Mon Feb 25 2002 - stark@suse.de
- moved *.la back to main-package as it is needed for
  dynamic loading of modules
* Mon Feb 25 2002 - stark@suse.de
- added patch to work with heimdal-krb5
- moved *.so to -devel package
* Fri Feb 08 2002 - stark@suse.de
- deactivated kerberos support
  (seems to be not compatible with heimdal :-()
* Thu Feb 07 2002 - stark@suse.de
- changed heimdal libdir
* Thu Dec 13 2001 - stark@suse.de
- update to 0.4
- better use of fillup_and_insserv
* Mon Dec 03 2001 - stark@suse.de
- don't use START_RADIUSD anymore
- make use of new fillup_and_insserv macro
* Fri Oct 12 2001 - stark@suse.de
- update to version 0.3
- packed source-archive as bz2
- branched package -> devel
* Fri Aug 03 2001 - stark@suse.de
- removed use of watcher-script
- removed config-check (-C) in init script
  (it's not supported in freeradius)
* Thu Aug 02 2001 - stark@suse.de
- status fix in init script
- renamed pam-configfile: radius -> radiusd
* Wed Aug 01 2001 - stark@suse.de
- updated to 0.2
* Thu Jul 26 2001 - kukuk@suse.de
- Fix needed for build
* Tue Jul 10 2001 - stark@suse.de
- added %%{suse_update_config}
* Sat Jun 23 2001 - schwab@suse.de
- Fix preprocessor directives inside macro arguments.
* Mon Jun 18 2001 - stark@suse.de
- removed absolute paths from pam-config
* Wed May 23 2001 - stark@suse.de
- first official beta-version 0.1
* Wed Mar 21 2001 - stark@suse.de
- new snapshot 20010321 (pre-BETA)
- replaced start- and killproc to avoid problems with Kernel 2.4
  using the radwatch shell-script
- added built of LDAP and MySQL modules
* Mon Jan 29 2001 - stark@suse.de
- %%files: /etc/raddb/bay.vendor -> /etc/raddb/dictionary.bay
* Mon Jan 15 2001 - stark@suse.de
- new snapshot 20010115
- initial BETA package (sources are ALPHA!)
* Thu Jan 04 2001 - stark@suse.de
- CVS snapshot 20010104
